<script setup>
import { useI18n } from 'vue-i18n';
import VnCard from 'components/common/VnCard.vue';
import RoleDescriptor from './RoleDescriptor.vue';

const { t } = useI18n();
</script>
<template>
    <VnCard
        data-key="Role"
        :descriptor="RoleDescriptor"
        search-data-key="AccountRoles"
        :searchbar-props="{
            url: 'VnRoles',
            label: t('role.searchRoles'),
            info: t('role.searchInfo'),
            searchUrl: 'table',
        }"
    />
</template>
